## ros-melodic-heifu-tools 0.7.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(heifu_tools)

find_package(catkin REQUIRED COMPONENTS
  
)

# catkin_python_setup()

catkin_package(
  #  INCLUDE_DIRS include
)

# TODO: Install Rules
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-melodic-heifu-tools (0.7.7-2bionic) bionic; urgency=high

  * Update Changelogs after merge!
  * Change heifu_description dependency tree.
  * Add heifu metapackage.
  * Contributors: André Filipe, Fábio Azevedo
  * Change heifu_description dependency tree.
  * Add heifu metapackage.
  * Contributors: André Filipe, Fábio Azevedo

 -- Fábio Azevedo <fabio.azevedo@beyond-vision.pt>  Thu, 31 Dec 2020 00:00:00 -0000

ros-melodic-heifu-tools (0.7.6-2bionic) bionic; urgency=high



 -- Fábio Azevedo <fabio.azevedo@beyond-vision.pt>  Wed, 30 Dec 2020 00:00:00 -0000

ros-melodic-heifu-tools (0.7.5-2bionic) bionic; urgency=high

  * Update version to 0.7.4. Try to fix rosdistro build.
  * Contributors: André Filipe

 -- Fábio Azevedo <fabio.azevedo@beyond-vision.pt>  Wed, 30 Dec 2020 00:00:00 -0000

ros-melodic-heifu-tools (0.7.2-2bionic) bionic; urgency=high



 -- João Pedro Carvalho <joao.m.carvalho@pdmfc.com>  Thu, 17 Dec 2020 00:00:00 -0000

ros-melodic-heifu-tools (0.7.1-2bionic) bionic; urgency=high

  * initial commit
  * Packages and updates cleaned
  * Contributors: falmeida, jmadeira

 -- João Pedro Carvalho <joao.m.carvalho@pdmfc.com>  Thu, 27 Aug 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-heifu-tools
Section: misc
Priority: optional
Maintainer: Fábio Azevedo <fabio.azevedo@beyond-vision.pt>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-heifu-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-image-view, ros-melodic-joy, ros-melodic-joy-teleop
Description: Heifu Tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-heifu-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
